NX Open C++ Reference Guide
|
Represents a CAE::ElementRevolveBuilder
To create a new instance of this class, use CAE::NodeElementManager::CreateElementRevolveBuilder
Created in NX5.0.0.
More...
Public Types | |
enum | AngleType { AngleTypePerCopy, AngleTypeTotal } |
the angle type - total or per copy More... | |
enum | ElemDimType { ElemDimTypeBeam, ElemDimTypeShell } |
Dimension of element to be created. More... | |
enum | NewMeshType { NewMeshTypeCreate, NewMeshTypeExisting } |
Option to create new mesh or add to existing mesh. More... | |
Public Member Functions | |
NXOpen::Expression * | Angle () |
Returns the angle Created in NX5.0.0. | |
NXOpen::CAE::ElementRevolveBuilder::AngleType | AngleOption () |
Returns the angle option Created in NX5.0.0. | |
NXOpen::Axis * | Axis () |
Returns the axis of revolution Created in NX5.0.0. | |
NXString | CollectorName () |
Returns the mesh collector name Created in NX5.0.0. | |
NXOpen::CAE::ElementRevolveBuilder::ElemDimType | ElementDimensionOption () |
Returns the elem dimension option Created in NX5.0.0. | |
NXOpen::CAE::SelectElementsBuilder * | Elements () |
Returns the selected elements to be revolved Created in NX5.0.0. | |
NXOpen::CAE::ElementTypeBuilder * | ElementType () |
Returns the element type builder. | |
int | Increment () |
Returns the increment Created in NX5.0.0. | |
int | Label () |
Returns the label Created in NX5.0.0. | |
NXString | MeshName () |
Returns the mesh name Created in NX5.0.0. | |
NXString | NeutralName () |
Returns the element neutral name Created in NX5.0.0. | |
NXOpen::CAE::ElementRevolveBuilder::NewMeshType | NewMeshOption () |
Returns the new mesh option Created in NX5.0.0. | |
int | NumberOfCopy () |
Returns the number of copies Created in NX5.0.0. | |
void | SetAngleOption (NXOpen::CAE::ElementRevolveBuilder::AngleType angleOption) |
Sets the angle option Created in NX5.0.0. | |
void | SetAxis (NXOpen::Axis *axis) |
Sets the axis of revolution Created in NX5.0.0. | |
void | SetCollectorName (const NXString &collectorName) |
Sets the mesh collector name Created in NX5.0.0. | |
void | SetCollectorName (const char *collectorName) |
Sets the mesh collector name Created in NX5.0.0. | |
void | SetElementDimensionOption (NXOpen::CAE::ElementRevolveBuilder::ElemDimType elementDimensionOption) |
Sets the elem dimension option Created in NX5.0.0. | |
void | SetIncrement (int increment) |
Sets the increment Created in NX5.0.0. | |
void | SetLabel (int label) |
Sets the label Created in NX5.0.0. | |
void | SetMeshName (const NXString &meshName) |
Sets the mesh name Created in NX5.0.0. | |
void | SetMeshName (const char *meshName) |
Sets the mesh name Created in NX5.0.0. | |
void | SetNeutralName (const NXString &neutralName) |
Sets the element neutral name Created in NX5.0.0. | |
void | SetNeutralName (const char *neutralName) |
Sets the element neutral name Created in NX5.0.0. | |
void | SetNewMeshOption (NXOpen::CAE::ElementRevolveBuilder::NewMeshType newMeshOption) |
Sets the new mesh option Created in NX5.0.0. | |
void | SetNumberOfCopy (int numberOfCopy) |
Sets the number of copies Created in NX5.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a CAE::ElementRevolveBuilder
To create a new instance of this class, use CAE::NodeElementManager::CreateElementRevolveBuilder
Created in NX5.0.0.
NXOpen::Expression* NXOpen::CAE::ElementRevolveBuilder::Angle | ( | ) |
Returns the angle
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::ElementRevolveBuilder::AngleType NXOpen::CAE::ElementRevolveBuilder::AngleOption | ( | ) |
Returns the angle option
Created in NX5.0.0.
License requirements : None
NXOpen::Axis* NXOpen::CAE::ElementRevolveBuilder::Axis | ( | ) |
Returns the axis of revolution
Created in NX5.0.0.
License requirements : None
NXString NXOpen::CAE::ElementRevolveBuilder::CollectorName | ( | ) |
Returns the mesh collector name
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::ElementRevolveBuilder::ElemDimType NXOpen::CAE::ElementRevolveBuilder::ElementDimensionOption | ( | ) |
Returns the elem dimension option
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::SelectElementsBuilder* NXOpen::CAE::ElementRevolveBuilder::Elements | ( | ) |
Returns the selected elements to be revolved
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::ElementTypeBuilder* NXOpen::CAE::ElementRevolveBuilder::ElementType | ( | ) |
Returns the element type builder.
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
int NXOpen::CAE::ElementRevolveBuilder::Increment | ( | ) |
Returns the increment
Created in NX5.0.0.
License requirements : None
int NXOpen::CAE::ElementRevolveBuilder::Label | ( | ) |
Returns the label
Created in NX5.0.0.
License requirements : None
NXString NXOpen::CAE::ElementRevolveBuilder::MeshName | ( | ) |
Returns the mesh name
Created in NX5.0.0.
License requirements : None
NXString NXOpen::CAE::ElementRevolveBuilder::NeutralName | ( | ) |
Returns the element neutral name
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::ElementRevolveBuilder::NewMeshType NXOpen::CAE::ElementRevolveBuilder::NewMeshOption | ( | ) |
Returns the new mesh option
Created in NX5.0.0.
License requirements : None
int NXOpen::CAE::ElementRevolveBuilder::NumberOfCopy | ( | ) |
Returns the number of copies
Created in NX5.0.0.
License requirements : None
void NXOpen::CAE::ElementRevolveBuilder::SetAngleOption | ( | NXOpen::CAE::ElementRevolveBuilder::AngleType | angleOption | ) |
Sets the angle option
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
angleOption | angleoption |
void NXOpen::CAE::ElementRevolveBuilder::SetAxis | ( | NXOpen::Axis * | axis | ) |
Sets the axis of revolution
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
axis | axis |
void NXOpen::CAE::ElementRevolveBuilder::SetCollectorName | ( | const NXString & | collectorName | ) |
Sets the mesh collector name
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
collectorName | collectorname |
void NXOpen::CAE::ElementRevolveBuilder::SetCollectorName | ( | const char * | collectorName | ) |
Sets the mesh collector name
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
collectorName | collectorname |
void NXOpen::CAE::ElementRevolveBuilder::SetElementDimensionOption | ( | NXOpen::CAE::ElementRevolveBuilder::ElemDimType | elementDimensionOption | ) |
Sets the elem dimension option
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
elementDimensionOption | elementdimensionoption |
void NXOpen::CAE::ElementRevolveBuilder::SetIncrement | ( | int | increment | ) |
Sets the increment
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
increment | increment |
void NXOpen::CAE::ElementRevolveBuilder::SetLabel | ( | int | label | ) |
Sets the label
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
label | label |
void NXOpen::CAE::ElementRevolveBuilder::SetMeshName | ( | const NXString & | meshName | ) |
Sets the mesh name
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
meshName | meshname |
void NXOpen::CAE::ElementRevolveBuilder::SetMeshName | ( | const char * | meshName | ) |
Sets the mesh name
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
meshName | meshname |
void NXOpen::CAE::ElementRevolveBuilder::SetNeutralName | ( | const NXString & | neutralName | ) |
Sets the element neutral name
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
neutralName | neutralname |
void NXOpen::CAE::ElementRevolveBuilder::SetNeutralName | ( | const char * | neutralName | ) |
Sets the element neutral name
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
neutralName | neutralname |
void NXOpen::CAE::ElementRevolveBuilder::SetNewMeshOption | ( | NXOpen::CAE::ElementRevolveBuilder::NewMeshType | newMeshOption | ) |
Sets the new mesh option
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
newMeshOption | newmeshoption |
void NXOpen::CAE::ElementRevolveBuilder::SetNumberOfCopy | ( | int | numberOfCopy | ) |
Sets the number of copies
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
numberOfCopy | numberofcopy |